From: "Alexey Shvetsov" <alexxy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/webob/
Date: Fri, 9 Nov 2018 14:20:57 +0000 (UTC) [thread overview]
Message-ID: <1541773191.a7c145a1fc6bd06f781be9c5b218a318c2bb3707.alexxy@gentoo> (raw)
commit: a7c145a1fc6bd06f781be9c5b218a318c2bb3707
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 9 13:54:17 2018 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Nov 9 14:19:51 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7c145a1
dev-python/webob: eapi7 + py3_7
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
dev-python/webob/webob-1.8.2-r1.ebuild | 43 ++++++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/dev-python/webob/webob-1.8.2-r1.ebuild b/dev-python/webob/webob-1.8.2-r1.ebuild
new file mode 100644
index 00000000000..4c0774667c9
--- /dev/null
+++ b/dev-python/webob/webob-1.8.2-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+inherit distutils-r1
+
+MY_PN=WebOb
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="https://webob.org/ https://pypi.org/project/WebOb/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}] )
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+S=${WORKDIR}/${MY_P}
+
+python_compile_all() {
+ if use doc; then
+ esetup.py build_sphinx
+ fi
+}
+
+python_test() {
+ nosetests --verbose -w tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2018-11-09 14:21 UTC|newest]
Thread overview: 73+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-09 14:20 Alexey Shvetsov [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-16 20:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/webob/ Michał Górny
2024-11-09 10:21 Michał Górny
2024-11-09 10:06 Arthur Zamarin
2024-10-24 4:14 Michał Górny
2024-08-26 18:54 Arthur Zamarin
2024-08-15 9:30 Michał Górny
2024-08-15 9:15 Jakov Smolić
2024-08-15 3:47 Michał Górny
2024-07-11 20:55 James Le Cuirot
2024-06-15 13:14 Michał Górny
2024-06-15 8:15 Michał Górny
2023-05-29 15:03 Sam James
2023-03-25 17:19 Michał Górny
2022-06-16 9:23 Michał Górny
2022-06-16 9:02 Jakov Smolić
2022-05-17 7:03 Michał Górny
2022-05-17 7:03 Michał Górny
2021-07-28 23:38 Marek Szuba
2021-05-10 21:56 Michał Górny
2021-03-25 19:09 Michał Górny
2021-03-25 14:23 Sam James
2021-02-18 9:18 Michał Górny
2021-01-06 22:30 Fabian Groffen
2020-08-22 7:13 Michał Górny
2020-07-25 8:31 Michał Górny
2020-07-16 19:24 Sam James
2020-07-16 19:24 Sam James
2020-07-09 8:41 Agostino Sarubbo
2020-07-09 8:27 Agostino Sarubbo
2020-07-09 8:16 Agostino Sarubbo
2020-07-09 8:04 Agostino Sarubbo
2020-07-09 7:58 Agostino Sarubbo
2020-05-26 18:32 Michał Górny
2020-05-26 18:32 Michał Górny
2020-03-29 11:51 Michał Górny
2020-03-29 11:51 Michał Górny
2020-03-29 11:51 Michał Górny
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 14:52 Agostino Sarubbo
2020-03-25 13:27 Agostino Sarubbo
2020-03-25 13:12 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2019-11-26 0:02 Patrick McLean
2019-11-25 23:54 Patrick McLean
2019-11-25 23:54 Patrick McLean
2019-07-15 13:13 Louis Sautier
2019-07-15 13:13 Louis Sautier
2019-07-15 13:13 Louis Sautier
2019-07-15 13:13 Louis Sautier
2018-08-30 21:34 Matt Thode
2018-08-17 1:38 Mikle Kolyada
2018-03-17 21:41 Michał Górny
2018-02-16 6:08 Matt Thode
2018-01-06 13:39 Michał Górny
2017-11-11 22:28 Sergei Trofimovich
2017-06-15 18:19 Markus Meier
2017-05-22 16:48 Tobias Klausmann
2017-05-22 11:40 Agostino Sarubbo
2017-05-19 21:44 Michael Weber
2017-05-04 17:09 Manuel Rüger
2017-05-03 6:15 Michał Górny
2017-02-28 23:11 Mike Gilbert
2016-06-12 18:47 Patrick Lauer
2016-06-05 3:34 Matt Thode
2016-04-20 8:07 Patrick Lauer
2016-02-28 6:51 Matt Thode
2016-02-05 16:00 Tiziano Müller
2016-02-02 11:32 Tiziano Müller
2016-02-02 11:28 Tiziano Müller
2015-11-03 11:38 Justin Lecher
2015-10-19 16:29 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1541773191.a7c145a1fc6bd06f781be9c5b218a318c2bb3707.alexxy@gentoo \
--to=alexxy@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox